
%global meadversion 2.0.1
%global namedversion 2.0.1.Final-redhat-00001
%global meadalpha .Final_redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%{?scl:%scl_package jboss-iiop-client} 
%{!?scl:%global pkg_name %{name}}

%bcond_without mead
%bcond_with javadoc

%define maven_version 2.0.1.Final-redhat-00001

Name:		%{?scl_prefix}jboss-iiop-client
Summary:	Artifacts from jboss-iiop-client
Version:	%{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Group:          Development/Libraries

%if %with mead
Source100: jboss-iiop-client-2.0.1.Final-redhat-00001-project-sources.tar.gz
Source102: jboss-iiop-client-2.0.1.Final-redhat-00001-javadoc.jar
Source103: jboss-iiop-client-2.0.1.Final-redhat-00001.pom
Source104: jboss-iiop-client-2.0.1.Final-redhat-00001-sources.jar
Source105: jboss-iiop-client-2.0.1.Final-redhat-00001.jar
%endif

License:        ASL 2.0
URL:            http://git.app.eng.bos.redhat.com/git/jbossas/jboss-iiop-client.git
Epoch:          0

BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot
BuildArch:      noarch

%description
Client library for EJB applications working against JBoss AS using the IIOP protocol

%if %with javadoc
%package javadoc
Summary:        Javadoc for jboss-iiop-client
Group:          Development/Documentation


%description javadoc
Javadoc for JBoss IIOP Client.
%endif

%prep
%setup -q -n jboss-iiop-client-%{namedversion} -T -b 100

%build

%install
rm -rf %{buildroot}
%{__mkdir_p} %{buildroot}%{_javadir}

#jars
%{__cp} -p %{_sourcedir}/jboss-iiop-client-%{namedversion}.jar %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jboss-iiop-client-%{namedversion}-sources.jar %{buildroot}%{_javadir}
(cd %{buildroot}%{_javadir} && ln -s jboss-iiop-client-%{namedversion}.jar jboss-iiop-client.jar)
(cd %{buildroot}%{_javadir} && ln -s jboss-iiop-client-%{namedversion}-sources.jar jboss-iiop-client-sources.jar)

#javadoc
%if %with javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/jboss-iiop-client-%{namedversion}
unzip -d $RPM_BUILD_ROOT%{_javadocdir}/jboss-iiop-client-%{namedversion} %{_javadir}/jbossas-fordev/jboss-iiop-client-%{namedversion}-javadoc.jar
(cd $RPM_BUILD_ROOT%{_javadocdir} && ln -s jboss-iiop-client-%{namedversion} jboss-iiop-client)
%endif

%files
%defattr(0644,root,root,0755)
%doc LICENSE.txt
%{_javadir}/jboss-iiop-client-%{namedversion}.jar
%{_javadir}/jboss-iiop-client.jar
%if %with javadoc
%{_javadir}/jboss-iiop-client-%{namedversion}-javadoc.jar
%{_javadir}/jboss-iiop-client-javadoc.jar
%endif
%{_javadir}/jboss-iiop-client-%{namedversion}-sources.jar
%{_javadir}/jboss-iiop-client-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jboss-iiop-client
%{_javadocdir}/jboss-iiop-client-%{namedversion}
%endif

%changelog
* Fri Mar 31 2023 Yong Yang <yyang@redhat.com> - 2.0.1-1.Final_redhat_00001.1
- 2.0.1.Final-redhat-00001

* Mon Mar 27 2023 cpaas-ops <cpaas-ops@redhat.com> - 2.0.1-1.Final_redhat_00001.1
- Built by CPaaS

* Thu Nov 03 2022 cpaas-ops <cpaas-ops@redhat.com> - 1.0.2-1.Final_redhat_00002.1
- Built by CPaaS

* Thu May 26 2022 cpaas-ops <cpaas-ops@redhat.com> - 1.0.1-1.Final_redhat_1.1
Built by CPaaS
